package me.km.items;

import me.km.Client;
import net.minecraft.client.renderer.entity.model.BipedModel;
import net.minecraft.entity.LivingEntity;
import net.minecraft.inventory.EquipmentSlotType;
import net.minecraft.item.IArmorMaterial;
import net.minecraft.item.Item;
import net.minecraft.item.ArmorItem;
import net.minecraft.item.ItemGroup;
import net.minecraft.item.ItemStack;
import net.minecraftforge.api.distmarker.Dist;
import net.minecraftforge.api.distmarker.OnlyIn;

public class ItemCylinder extends ArmorItem {
    public ItemCylinder(IArmorMaterial am, Item.Properties builder) {
        super(am, EquipmentSlotType.HEAD, builder.group(ItemGroup.COMBAT));
    }

    @OnlyIn(Dist.CLIENT)
    @Override
    public BipedModel getArmorModel(LivingEntity entityLiving, ItemStack itemStack, EquipmentSlotType armorSlot, BipedModel normal) {
        if(slot != EquipmentSlotType.HEAD) {
            return normal;
        }
        return Client.CYLINDER;
    }
}
